Switch to xcb for sync extension

Review Request #122377 - Created Feb. 2, 2015 and submitted

Information
Martin Flöser
kwin
master
03500cc...
Reviewers
kwin

Since XCB 1.10 the sync extension is working properly. At the time of
the 5.3 release 1.10 will have been out for ~15 months, enough time
for distros to catch up and should allow us to use it.

As our CI system only supports 1.9 at the moment we cannot hard depend
on the version, instead we use feature info. As soon as our CI system
supports it, we should update the required min version and kick out the
ifdef.

Resized: Qt 4, Qt 5 and GTK windows.

Martin Flöser
Review request changed

Status: Closed (submitted)

Loading...